---

#! /zdci/db/releases/20260202161721/lkp-src/jobs/kernel-selftests-sgx.yaml
suite: kernel-selftests
testcase: kernel-selftests
category: functional
need_memory: 3G
kernel-selftests:
  group: sgx
job_origin: kernel-selftests-sgx.yaml

#! queue options
queue_cmdline_keys: []
queue: vip
testbox: lkp-cfl-e1
tbox_group: lkp-cfl-e1
job_file: "/lkp/jobs/scheduled/lkp-cfl-e1/kernel-selftests-sgx-debian-13-x86_64-20250902.cgz-e0b782187c45-20260206-2065011-2zzemb-6.yaml"
id: 910cee24e6312b38cd9279f0e843b3fc6dee1612
queuer_version: "/lkp/xsang/.src-20260206-172355"

#! /zdci/db/releases/20260202161721/lkp-src/hosts/lkp-cfl-e1
model: Coffee Lake-E
nr_node: 1
nr_cpu: 16
memory: 32G
nr_hdd_partitions: 1
hdd_partitions: "/dev/disk/by-id/ata-ST1000DM010-2EP102_W9APNAR5-part2"
swap_partitions: LABEL=SWAP
rootfs_partition: "/dev/disk/by-id/ata-ST1000DM010-2EP102_W9APNAR5-part1"
brand: Intel(R) Xeon(R) E-2278G CPU @ 3.40GHz
ucode: '0x104'
need_kconfig_hw:
- PTP_1588_CLOCK: "y"
- IGB: "y"
- SATA_AHCI

#! /zdci/db/releases/20260202161721/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:

#! /zdci/db/releases/20260202161721/lkp-src/include/category/ALL
sanity-check:

#! /zdci/db/releases/20260202161721/lkp-src/include/queue/cyclic
commit: e0b782187c458dac827263181b85fed32e3e0faa

#! /zdci/db/releases/20260202161721/lkp-src/programs/kernel-selftests/include
need_kernel_version:
need_kconfig:
initrds:
- linux_headers
- linux_selftests
kconfig: x86_64-rhel-9.4-kselftests
enqueue_time: 2026-02-06 20:29:16.544602092 +08:00
_rt: "/result/kernel-selftests/sgx/lkp-cfl-e1/debian-13-x86_64-20250902.cgz/x86_64-rhel-9.4-kselftests/gcc-14/e0b782187c458dac827263181b85fed32e3e0faa"
compiler: gcc-14
head_commit: 9ef1d8d0816d441b631b65ea24e7f5b25251ed3f
base_commit: 18f7fcd5e69a04df57b563360b88be72471d6b62
branch: linux-devel/devel-hourly-20260204-045717
rootfs: debian-13-x86_64-20250902.cgz

#! schedule options
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20260205-154444"
arch: x86_64
max_uptime: 36000
initrd: "/osimage/debian/debian-13-x86_64-20250902.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kernel-selftests/sgx/lkp-cfl-e1/debian-13-x86_64-20250902.cgz/x86_64-rhel-9.4-kselftests/gcc-14/e0b782187c458dac827263181b85fed32e3e0faa/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-14/e0b782187c458dac827263181b85fed32e3e0faa/vmlinuz-6.19.0-rc7-01160-ge0b782187c45
- branch=linux-devel/devel-hourly-20260204-045717
- job=/lkp/jobs/scheduled/lkp-cfl-e1/kernel-selftests-sgx-debian-13-x86_64-20250902.cgz-e0b782187c45-20260206-2065011-2zzemb-6.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4-kselftests
- commit=e0b782187c458dac827263181b85fed32e3e0faa
- intremap=posted_msi
- max_uptime=36000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-14/e0b782187c458dac827263181b85fed32e3e0faa/modules.cgz"
linux_headers_initrd: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-14/e0b782187c458dac827263181b85fed32e3e0faa/linux-headers.cgz"
linux_selftests_initrd: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-14/e0b782187c458dac827263181b85fed32e3e0faa/linux-selftests.cgz"
bm_initrd: "/osimage/deps/debian-13-x86_64-20250902.cgz/lkp_20251225.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/run-ipconfig_20251230.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/kernel-selftests_20260201.cgz,/osimage/pkg/debian-13-x86_64-20250902.cgz/kernel-selftests-x86_64-9f2693489ef8-1_20260201.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/hw_20250902.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20250523.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: shz

#! /zdci/db/releases/20260202161721/lkp-src/include/site/shz
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-cfl-e1/kernel-selftests-sgx-debian-13-x86_64-20250902.cgz-e0b782187c45-20260206-2065011-2zzemb-6.cgz"
last_kernel: 4.20.0
finish_time: 2026-02-06 22:18:57.572159552 +08:00

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-14/e0b782187c458dac827263181b85fed32e3e0faa/vmlinuz-6.19.0-rc7-01160-ge0b782187c45"
result_root: "/result/kernel-selftests/sgx/lkp-cfl-e1/debian-13-x86_64-20250902.cgz/x86_64-rhel-9.4-kselftests/gcc-14/e0b782187c458dac827263181b85fed32e3e0faa/0"
user: lkp
dequeue_time: 2026-02-06 22:17:16.496150021 +08:00
job_state: booting
